Name:           python-ocean-contracts
Version:        2.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        🐳 Ocean Protocol L1 - v4

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/oceanprotocol/contracts/issues
Source:         %{pypi_source ocean_contracts}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ocean-contracts' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ocean-contracts
Summary:        %{summary}

%description -n python3-ocean-contracts %_description


%prep
%autosetup -p1 -n ocean_contracts-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ocean-contracts -f %{pyproject_files}


%changelog
%autochangelog